---
updatedAt: 2025-11-11T00:10:37.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/llms.txt
---

# List of Receiving Institutions

This GET endpoint returns the list of onboard institutions that can receive credit.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "transfer-service",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://isw-transfer-service-core-microservice.k8.isw.la"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/transfers/institutions": {
      "get": {
        "summary": "List of Receiving Institutions",
        "description": "This GET endpoint returns the list of onboard institutions that can receive credit.",
        "operationId": "list-of-receiving-institutions",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "Bearer {Passport Access Token}"
            }
          },
          {
            "name": "Content-Type",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          },
          {
            "name": "perPage",
            "in": "query",
            "description": "The number of institutions per page. The default value is 30 and the maximum value is 200",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "The page number of the institutions to fetch.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"total\": 515,\n    \"perPage\": 200,\n    \"page\": 1,\n    \"institutions\": [\n        {\n            \"institutionId\": \"1\",\n            \"institutionCode\": \"AAB\",\n            \"institutionName\": \"Actual African Bank\"\n        },\n        {\n            \"institutionId\": \"2\",\n            \"institutionCode\": \"AGB\",\n            \"institutionName\": \"Actual Global Bank\"\n        },\n        ...\n    ]\n}"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl https://isw-transfer-service-core-microservice.k8.isw.la/transfers/institutions \\\n-H \"Authorization:Bearer {Passport Access Token}\" \\\n-H \"Content-Type: application/json\" \\\n\n-X GET"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```